Subject: bug#53043: Dash To Dock 71 not working properly with Gnome Shell 41

From: Liliana Marie Prikler <[email-masked]>
Date: Thu, 06 Jan 2022 07:59:06 +0100

Hi,

Am Donnerstag, dem 06.01.2022 um 04:35 +0000 schrieb
raid5atemyhomework:
> I recently upgraded, and on reboot found that the Gnome Shell extension
> Dash to Dock was no longer working properly.
> 
> Instead of displaying my favorite applications on the bottom dock, it
> only displays the "applications" icon.  Running applications are also
> not displayed.
> 
> I found a solution:
> 
> * In the Gnome activities search bar, look for "Extensions" and run it.
> * Select the gear icon / settings for Dash to Dock.
> * Select tab "Appearance".
> * Enable "Use built-in theme".
> 
> It seems the details of the theming engine were changed in recent Gnome
> and you now have no choice but "Use built-in theme".
I'm not sure how this is a bug in Guix.  Dash-to-dock 71 is the latest
release from upstream taking extensions.gnome.org as the source of
truth [1].  There appears to be a related issue upstream [2], perhaps
you're encountering that?

Cheers

[1] Actually, whatever the git repo claims to push towards
extensions.gnome.org
[2] https://github.com/micheleg/dash-to-dock/issues/1522